	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "contour16")
	call psetc("output_name_first_page_number", "off")

	call psetr("subpage_lower_left_longitude", 73.06)
	call psetr("subpage_upper_right_longitude", 135.27)
	call psetr("subpage_upper_right_latitude", 54.06)
	call psetc("subpage_map_projection", "cylindrical")
	call psetr("subpage_lower_left_latitude", 15.28)

	call pseti("grib_field_position", 1)
	call psetc("grib_input_file_name", "700_hPa_divergence.grib")
	call pgrib

	call preset('grib_field_position')
	call preset('grib_input_file_name')

	call psetc("map_coastline_land_shade_colour", "cream")
	call psetc("map_coastline_land_shade", "on")
	call pcoast

	call preset('map_coastline_land_shade_colour')
	call preset('map_coastline_land_shade')

	call psetc("contour_level_selection_type", "level_list")
	call psetc("contour_shade_colour_method", "list")
	call psetc("contour_shade_method", "area_fill")
	call psetc("contour_shade", "on")
	call pset1r("contour_level_list", (/-200.00, -100.00, -50.00, -20.00, -15.00, -11.00, -7.00, -5.00, -3.00, -1.00, 1.00, 3.00, 5.00, 7.00, 11.00, 15.00, 20.00, 50.00, 100.00, 200.00/), 20)
	call psetc("contour_hilo", "off")
	call psetc("contour", "off")
	call psetc("contour_highlight", "off")
	call psetc("contour_label", "off")
	call psetc("legend", "on")
	call pset1c("contour_shade_colour_list", (/"rgb(0,0,0.3)   ", "rgb(0,0,0.5)   ", "rgb(0,0,0.9)   ", "rgb(0,0.3,1)   ",&
		"rgb(0,0.45,1)  ", "rgb(0,0.75,1)  ", "rgb(0.2,0.95,1)", "rgb(0.45,1,1)  ",&
		"rgb(0.75,1,1)  ", "none           ", "rgb(1,1,0)     ",&
		"rgb(1,0.9,0)   ", "rgb(1,0.8,0)   ", "rgb(1,0.6,0)   ", "rgb(1,0.4,0)   ",&
		"rgb(1,0.3,0)   ", "rgb(0.9,0,0)   ", "rgb(0.5,0,0)   ",&
		"rgb(0.3,0,0)   "/), 19)
	call pcont

	call preset('contour_level_selection_type')
	call preset('contour_shade_colour_method')
	call preset('contour_shade_method')
	call preset('contour_shade')
	call preset('contour_level_list')
	call preset('contour_hilo')
	call preset('contour')
	call preset('contour_highlight')
	call preset('contour_label')
	call preset('legend')
	call preset('contour_shade_colour_list')

	call psetc("map_label", "on")
	call psetc("map_grid_line_style", "dash")
	call psetc("map_grid_colour", "grey")
	call psetc("map_coastline_colour", "black")
	call psetc("map_coastline_land_shade", "off")
	call pcoast

	call preset('map_label')
	call preset('map_grid_line_style')
	call preset('map_grid_colour')
	call preset('map_coastline_colour')
	call preset('map_coastline_land_shade')

	call pset1c("text_lines", (/"<font size="1">700 hPa divergence (Range: -200 .. 200)</font>", "<magics_title/>                                              "/), 2)
	call psetr("text_font_size", 0.60)
	call psetc("text_justification", "left")
	call psetc("text_colour", "charcoal")
	call ptext

	call preset('text_lines')
	call preset('text_font_size')
	call preset('text_justification')
	call preset('text_colour')

	call pclose

	end
